setup.ncore {bio3d} | R Documentation

## Setup for Running Bio3D Functions using Multiple CPU Cores

### Description

Internally used in parallelized Bio3D functions.

### Usage

      setup.ncore(ncore, bigmem = FALSE)

### Arguments

`ncore` | User set (or default) value of ‘ncore’.
`bigmem` | logical, if TRUE also check the availability of ‘bigmemory’ package.

### Details

Check packages and set correct value of ‘ncore’.

### Value

The actual value of ‘ncore’.

### Examples

       setup.ncore(NULL)
       setup.ncore(1)
    #   setup.ncore(2)

[Package bio3d version 2.3-4 Index]